Skip to content

v2_vms_actions_access_retrieve

GET
/api/v2/vms/{vm_code}/actions/access/
curl --request GET \
--url https://example.com/api/v2/vms/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/actions/access/ \
--header 'X-API-Key: <X-API-Key>'

Provide access details (e.g. password) for a VM. Returns null for the password field when the VM was provisioned with SSH-key access instead.

vm_code
required
string format: uuid
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
nullable
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"data": "example",
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
nullable
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"data": "example",
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
nullable
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"data": "example",
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}